# $Revision: 1.35 $, $Date: 2008/07/27 22:51:24 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	DRef
Summary:	Data::DRef - delimited-key access to complex data structures
Summary(pl.UTF-8):	Data::DRef - dostęp do złożonych struktur danych w formie rozgraniczonej kluczami
Name:		perl-Data-DRef
Version:	1999.0206
Release:	11
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	de5d5b210ab97f95d1da483ba45584b9
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-String-Escape
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data::DRef Perl module provides a streamlined interface for accessing
values within nested Perl data structures. These structures are
generally networks of hashes and arrays, some of which may be blessed
into various classes, containing a mix of simple scalar values and
references to other items in the structure.

%description -l pl.UTF-8
Moduł Perla Data::DRef udostępnia opływowy interfejs dostępu do
wartości w zagnieżdżonych strukturach danych Perla. Struktury te są w
zasadzie sieciami hashy i tablic. Niektóre spośród nich mogą być
przekształcone w różne klasy, zawierające mieszaninę prostych wartości
skalarnych i odwołań do innych składników struktury.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Data/DRef.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-DRef.spec,v $
Revision 1.35  2008/07/27 22:51:24  arekm
- release 11

Revision 1.34  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.32  2004/11/03 22:30:16  paladine
- formatting

Revision 1.31  2004/10/24 14:26:22  paladine
- perla->Perla

Revision 1.30  2004/05/07 00:59:46  ankry
- rel. 10

Revision 1.29  2004/05/06 18:09:29  ankry
- fixed perl-devel BR

Revision 1.28  2004/04/25 00:41:38  ankry
- tests added

Revision 1.27  2004/04/19 22:57:16  ankry
- license/description/summary fixes

Revision 1.26  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.25  2003/08/18 08:08:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.21  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.20  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.19  2003/02/18 15:31:04  ankry
- massive attack: change CPAN URLs

Revision 1.18  2002/07/10 08:46:53  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:10:46  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:25:06  depesz
adapterized

Revision 1.12  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:07:32  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/12/30 08:59:10  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 19:34:19  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
